## kde-style-bespin 0.1~svn090802

=== CMakeLists.txt ===
project(bespin)
cmake_minimum_required(VERSION 2.4)

add_definitions( ${QT_DEFINITIONS} ${QT_QTDBUS_DEFINITIONS} -DQT3_SUPPORT )

set (CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules )

option(ENABLE_KDE "Enable Bespin support for KDE4" ON)
option(ENABLE_KWIN "Build Bespin KWin decoration" ON)
option(ENABLE_XBAR "Enable the XBar plasmoid (Mac-Alike-Menubar)" ON)

if (ENABLE_KDE)
    find_package(KDE4)
endif (ENABLE_KDE)

find_package(X11)

# add_definitions (-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII)

if (KDE4_FOUND)
   include (KDE4Defaults)
   include (MacroLibrary)
   add_definitions ( ${KDE4_DEFINITIONS} )
   include_directories (${KDE4_INCLUDES})
else (KDE4_FOUND)
   message (STATUS "WARNING: *** KDE4 not found, just the style will be built ***")
   set (QT_MIN_VERSION "4.3.0")
   find_package (Qt4 REQUIRED)
   include (UseQt4)
   set (CMAKE_INCLUDE_CURRENT_DIR ON)
endif (KDE4_FOUND)

#set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic")

set (bespin_SOURCES animator/basic.cpp animator/aprogress.cpp animator/hover.cpp
animator/hoverindex.cpp animator/hovercomplex.cpp animator/tab.cpp
colors.cpp bespin.cpp tileset.cpp oxrender.cpp stylehint.cpp
sizefromcontents.cpp qsubcmetrics.cpp
pixelmetric.cpp stdpix.cpp
visualframe.cpp gradients.cpp init.cpp genpixmaps.cpp polish.cpp
buttons.cpp docks.cpp frames.cpp input.cpp menus.cpp progress.cpp
scrollareas.cpp shapes.cpp slider.cpp tabbing.cpp toolbars.cpp
views.cpp window.cpp hacks.cpp macmenu.cpp paths.cpp filedialog.cpp)

if ( X11_FOUND )
   set (bespin_SOURCES ${bespin_SOURCES} xproperty.cpp)
endif ( X11_FOUND )
if (X11_Xrender_FOUND)
   message (STATUS "INFO: XRender was found - kwin deco & FX via GPU available!")
endif (X11_Xrender_FOUND)

set (bespin_MOC_HDRS animator/basic.h animator/aprogress.h animator/hover.h
animator/hoverindex.h animator/tab.h
bespin.h visualframe.h hacks.h macmenu.h macmenu-dbus.h)
qt4_wrap_cpp(bespin_MOC_SRCS ${bespin_MOC_HDRS})

add_library (bespin SHARED ${bespin_SOURCES} ${bespin_MOC_SRCS})


target_link_libraries(bespin  ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY}
                              ${QT_QTDBUS_LIBRARY} ${QT_QT3SUPPORT_LIBRARY})
if ( X11_FOUND )
   target_link_libraries(bespin ${X11_LIBRARIES})
endif( X11_FOUND )
if (X11_Xrender_FOUND)
   target_link_libraries(bespin ${X11_Xrender_LIB})
endif (X11_Xrender_FOUND)

install (TARGETS bespin LIBRARY DESTINATION ${QT_PLUGINS_DIR}/styles)

add_subdirectory (config)

if (KDE4_FOUND)
    install (FILES bespin.themerc DESTINATION ${DATA_INSTALL_DIR}/kstyle/themes)
    if (X11_Xrender_FOUND)
        if(ENABLE_KWIN)
            add_subdirectory (kwin)
        else(ENABLE_KWIN)
            message (STATUS "WARNING: *** KWin decoration will not be built ***")
        endif(ENABLE_KWIN)
    endif (X11_Xrender_FOUND)
    if ( X11_FOUND )
        if(ENABLE_XBAR)
            add_subdirectory (XBar)
        else(ENABLE_XBAR)
            message (STATUS "WARNING: *** XBar plasmoid will not be built ***")
        endif(ENABLE_XBAR)
    endif ( X11_FOUND )
endif (KDE4_FOUND)

=== config/CMakeLists.txt ===
# the exec config tool
project (bespin-config)

set (bespin_config_SOURCES main.cpp bconfig.cpp config.cpp kdeini.cpp)
qt4_add_resources (bespin_config_SOURCES)
qt4_wrap_ui (bespin_config_FRM_HDRS config.ui uiDemo.ui)

set (bespin_config_MOC_HDRS bconfig.h config.h dialog.h)
qt4_wrap_cpp(bespin_config_MOC_SRCS ${bespin_config_MOC_HDRS})

add_executable (bespin ${bespin_config_SOURCES} ${bespin_config_MOC_SRCS} ${bespin_config_FRM_HDRS})
target_link_libraries (bespin ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})
install (TARGETS bespin DESTINATION bin)

# the kcmstyle plugin, in case
if (KDE4_FOUND)
project (kstyle-bespin-config)
set (kstyle_bespin_config_SOURCES bconfig.cpp config.cpp kdeini.cpp)
qt4_add_resources (kstyle_bespin_config_SOURCES)
qt4_wrap_ui (kstyle_bespin_config_FRM_HDRS config.ui)

# set (kstyle_bespin_config_MOC_HDRS bconfig.h config.h)
# kde4_add_plugin automocs, so either use automoc or postcompile rename
# qt4_wrap_cpp(kstyle_bespin_config_MOC_SRCS ${kstyle_bespin_config_MOC_HDRS})

kde4_add_plugin (kstyle_bespin_config ${kstyle_bespin_config_SOURCES} ${kstyle_bespin_config_FRM_HDRS})
target_link_libraries (kstyle_bespin_config ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})
install (TARGETS kstyle_bespin_config DESTINATION ${PLUGIN_INSTALL_DIR})
   
endif (KDE4_FOUND)

=== kwin/CMakeLists.txt ===
project (kwin3-bespin)

add_definitions (-DBESPIN_DECO)

set (kwin3_bespin_SOURCES button.cpp client.cpp resizecorner.cpp
../colors.cpp factory.cpp ../gradients.cpp ../xproperty.cpp ../paths.cpp ../oxrender.cpp)
# kde4_add_plugin automocs, so either use automoc or postcompile rename
# set (kwin3_bespin_MOC_HDRS button.h client.h resizecorner.h)
# qt4_wrap_cpp(kwin3_bespin_MOC_SRCS ${kwin3_bespin_MOC_HDRS})

kde4_add_plugin (kwin3_bespin ${kwin3_bespin_SOURCES})
target_link_libraries (kwin3_bespin ${KDE4_KDEUI_LIBS} kdecorations ${X11_LIBRARIES} ${X11_Xrender_LIB})
install (TARGETS kwin3_bespin DESTINATION ${PLUGIN_INSTALL_DIR})
install (FILES bespin.desktop DESTINATION ${DATA_INSTALL_DIR}/kwin)


project (kwin-bespin-config)
set (kwin_bespin_config_SOURCES ../config/bconfig.cpp config.cpp)
qt4_wrap_ui (kwin_bespin_config_FRM_HDRS configdialog.ui)
kde4_add_plugin (kwin_bespin_config ${kwin_bespin_config_SOURCES} ${kwin_bespin_config_FRM_HDRS})
target_link_libraries (kwin_bespin_config ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})
install (TARGETS kwin_bespin_config DESTINATION ${PLUGIN_INSTALL_DIR})

## kde-style-bespin 0.1~svn100126

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,8 @@
 
 set (CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules )
 
+option(ENABLE_ARGB "Enable translucent windows" OFF)
+option(ENABLE_AMAROK_HACK "Legacy Amarok hacks" OFF)
 option(ENABLE_KDE "Enable Bespin support for KDE4" ON)
 option(ENABLE_KWIN "Build Bespin KWin decoration" ON)
 option(ENABLE_XBAR "Enable the XBar plasmoid (Mac-Alike-Menubar)" ON)
@@ -12,6 +14,24 @@
 if (ENABLE_KDE)
     find_package(KDE4)
 endif (ENABLE_KDE)
+
+if (ENABLE_ARGB)
+    message (STATUS "WARNING: *** ARGB windows are experimental, performance might suffer ***")
+    add_definitions ( -DBESPIN_ARGB_WINDOWS=1 )
+else (ENABLE_ARGB)
+    add_definitions ( -DBESPIN_ARGB_WINDOWS=0 )
+endif (ENABLE_ARGB)
+
+if (ENABLE_AMAROK_HACK)
+    message (STATUS "WARNING: *** Amarok Hack enabled, notice that this will potentially cause trouble on Amarok
+                       also this is legacy code and supposed to be redundant due to (future) changes to Amarok
+                       Hacks can be disbaled at runtime and should in case of issues with Amarok
+                       By activating this you confirm that you know what you're doing ***")
+    add_definitions ( -DBESPIN_HACK_AMAROK=1 )
+else (ENABLE_AMAROK_HACK)
+    message (STATUS "INFO: Amarok Hacks disabled, not compiling support for amarok hacks.")
+    add_definitions ( -DBESPIN_HACK_AMAROK=0 )
+endif (ENABLE_AMAROK_HACK)
 
 find_package(X11)
 
@@ -30,24 +50,22 @@
    set (CMAKE_INCLUDE_CURRENT_DIR ON)
 endif (KDE4_FOUND)
 
+add_subdirectory (blib)
+
+add_definitions ( -DBLIB_EXPORT=Q_DECL_IMPORT )
+
 #set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic")
 
 set (bespin_SOURCES animator/basic.cpp animator/aprogress.cpp animator/hover.cpp
 animator/hoverindex.cpp animator/hovercomplex.cpp animator/tab.cpp
-colors.cpp bespin.cpp tileset.cpp oxrender.cpp stylehint.cpp
-sizefromcontents.cpp qsubcmetrics.cpp
-pixelmetric.cpp stdpix.cpp
-visualframe.cpp gradients.cpp init.cpp genpixmaps.cpp polish.cpp
-buttons.cpp docks.cpp frames.cpp input.cpp menus.cpp progress.cpp
-scrollareas.cpp shapes.cpp slider.cpp tabbing.cpp toolbars.cpp
-views.cpp window.cpp hacks.cpp macmenu.cpp paths.cpp filedialog.cpp)
+bespin.cpp buttons.cpp docks.cpp frames.cpp genpixmaps.cpp hacks.cpp init.cpp
+input.cpp macmenu.cpp menus.cpp pixelmetric.cpp polish.cpp progress.cpp qsubcmetrics.cpp
+scrollareas.cpp shapes.cpp sizefromcontents.cpp slider.cpp stdpix.cpp stylehint.cpp
+tabbing.cpp toolbars.cpp views.cpp visualframe.cpp window.cpp )
 
-if ( X11_FOUND )
-   set (bespin_SOURCES ${bespin_SOURCES} xproperty.cpp)
-endif ( X11_FOUND )
-if (X11_Xrender_FOUND)
-   message (STATUS "INFO: XRender was found - kwin deco & FX via GPU available!")
-endif (X11_Xrender_FOUND)
+# if ( X11_FOUND )
+#     set (bespin_SOURCES ${bespin_SOURCES} lib/xproperty.cpp)
+# endif ( X11_FOUND )
 
 set (bespin_MOC_HDRS animator/basic.h animator/aprogress.h animator/hover.h
 animator/hoverindex.h animator/tab.h
@@ -57,8 +75,7 @@
 add_library (bespin SHARED ${bespin_SOURCES} ${bespin_MOC_SRCS})
 
 
-target_link_libraries(bespin  ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY}
-                              ${QT_QTDBUS_LIBRARY} ${QT_QT3SUPPORT_LIBRARY})
+target_link_libraries(bespin QtBespin ${QT_QTDBUS_LIBRARY} ${QT_QT3SUPPORT_LIBRARY})
 if ( X11_FOUND )
    target_link_libraries(bespin ${X11_LIBRARIES})
 endif( X11_FOUND )

=== XBar/CMakeLists.txt ===
project(plasma-xbar)

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include(MacroOptionalAddSubdirectory)

if (KDE_VERSION_MINOR LESS 2 AND KDE_VERSION_RELEASE LESS 96)
    message("(Harmless) note:\nYou're about to compile for the unstable Plasma ABI.\nUse KDE4.2 or above if you want this to be binary compatible for future releases\n\n")
    find_package(Plasma REQUIRED)
endif()

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${PLASMA_INCLUDE_DIR})

set(xbar_SRCS menubar.cpp xbar.cpp taskbar.cpp)

kde4_add_plugin(plasma_applet_xbar ${xbar_SRCS})
if (KDE_VERSION_MINOR LESS 2 AND KDE_VERSION_RELEASE LESS 96)
    target_link_libraries(plasma_applet_xbar kworkspace taskmanager ${KDE4_KDEUI_LIBS} ${PLASMA_LIBS} )
else()
    target_link_libraries(plasma_applet_xbar kworkspace taskmanager ${KDE4_KDEUI_LIBS} ${KDE4_PLASMA_LIBS} )
endif()

install(TARGETS plasma_applet_xbar DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-applet-xbar.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== blib/CMakeLists.txt ===
project(QtBespin)

add_definitions( ${QT_DEFINITIONS} )

set (CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules )

find_package(X11)

# add_definitions (-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII)

set (QT_MIN_VERSION "4.3.0")
find_package (Qt4 REQUIRED)
include (UseQt4)
set (CMAKE_INCLUDE_CURRENT_DIR ON)

add_definitions ( -DBLIB_EXPORT=Q_DECL_EXPORT )

#set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic")

set (QtBespin_SOURCES colors.cpp dpi.cpp elements.cpp FX.cpp gradients.cpp shapes.cpp tileset.cpp)

if ( X11_FOUND )
    set (QtBespin_SOURCES ${QtBespin_SOURCES} xproperty.cpp)
endif ( X11_FOUND )

if (X11_Xrender_FOUND)
   message (STATUS "INFO: XRender was found - kwin deco & FX via GPU available!")
endif (X11_Xrender_FOUND)

add_library (QtBespin SHARED ${QtBespin_SOURCES})


target_link_libraries(QtBespin  ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})

if ( X11_FOUND )
    target_link_libraries(QtBespin ${X11_LIBRARIES})
endif( X11_FOUND )
if (X11_Xrender_FOUND)
    target_link_libraries(QtBespin ${X11_Xrender_LIB})
endif (X11_Xrender_FOUND)

install (TARGETS QtBespin LIBRARY DESTINATION ${LIB_INSTALL_DIR})

=== config/CMakeLists.txt ===
# the exec config tool
project (bespin-config)

set (bespin_config_SOURCES main.cpp bconfig.cpp config.cpp kdeini.cpp)
qt4_add_resources (bespin_config_SOURCES)
qt4_wrap_ui (bespin_config_FRM_HDRS config.ui)
qt4_wrap_ui (bespin_demo_FRM_HDRS uiDemo.ui)

set (bespin_config_MOC_HDRS bconfig.h config.h dialog.h)
qt4_wrap_cpp(bespin_config_MOC_SRCS ${bespin_config_MOC_HDRS})

add_executable (bespin ${bespin_config_SOURCES} ${bespin_config_MOC_SRCS} ${bespin_config_FRM_HDRS} ${bespin_demo_FRM_HDRS})
target_link_libraries (bespin ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})
install (TARGETS bespin DESTINATION bin)

# the kcmstyle plugin, in case
if (KDE4_FOUND)
project (kstyle-bespin-config)
set (kstyle_bespin_config_SOURCES bconfig.cpp config.cpp kdeini.cpp)
qt4_add_resources (kstyle_bespin_config_SOURCES)

# set (kstyle_bespin_config_MOC_HDRS bconfig.h config.h)
# kde4_add_plugin automocs, so either use automoc or postcompile rename
# qt4_wrap_cpp(kstyle_bespin_config_MOC_SRCS ${kstyle_bespin_config_MOC_HDRS})

kde4_add_plugin (kstyle_bespin_config ${kstyle_bespin_config_SOURCES} ${bespin_config_FRM_HDRS})
target_link_libraries (kstyle_bespin_config ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})
install (TARGETS kstyle_bespin_config DESTINATION ${PLUGIN_INSTALL_DIR})
   
endif (KDE4_FOUND)

=== kwin/CMakeLists.txt ===
project (kwin3-bespin)

set (kwin3_bespin_SOURCES button.cpp client.cpp resizecorner.cpp factory.cpp )
# kde4_add_plugin automocs, so either use automoc or postcompile rename
# set (kwin3_bespin_MOC_HDRS button.h client.h resizecorner.h)
# qt4_wrap_cpp(kwin3_bespin_MOC_SRCS ${kwin3_bespin_MOC_HDRS})

kde4_add_plugin (kwin3_bespin ${kwin3_bespin_SOURCES})
target_link_libraries (kwin3_bespin QtBespin ${KDE4_KDEUI_LIBS} kdecorations ${X11_LIBRARIES} ${X11_Xrender_LIB})
install (TARGETS kwin3_bespin DESTINATION ${PLUGIN_INSTALL_DIR})
install (FILES bespin.desktop DESTINATION ${DATA_INSTALL_DIR}/kwin)


project (kwin-bespin-config)
set (kwin_bespin_config_SOURCES ../config/bconfig.cpp ../config/kdeini.cpp config.cpp)
qt4_wrap_ui (kwin_bespin_config_FRM_HDRS configdialog.ui)
kde4_add_plugin (kwin_bespin_config ${kwin_bespin_config_SOURCES} ${kwin_bespin_config_FRM_HDRS})
target_link_libraries (kwin_bespin_config ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${KDE4_KDEUI_LIBS})
install (TARGETS kwin_bespin_config DESTINATION ${PLUGIN_INSTALL_DIR})

=== debian/changelog ===
kde-style-bespin (0.1~svn100126-0ubuntu2) lucid; urgency=low

  * No change rebuild after incorrect binary package removal

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Feb 2010 10:15:22 +0000

kde-style-bespin (0.1~svn100126-0ubuntu1) lucid; urgency=low

  * New upstream svn snapshot:
  * Switch to source format 3.0 (quilt)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 26 Jan 2010 19:25:50 -0500

kde-style-bespin (0.1~svn091225-0ubuntu1) lucid; urgency=low

  * New upstream svn snapshot

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 25 Dec 2009 12:16:28 -0500

kde-style-bespin (0.1~svn091208-0ubuntu1) lucid; urgency=low

  * New upstream svn snapshot:
    - Add build-depend on libxrender-dev
    - Add build-depend on libxext-dev
  * Fix recommends for all binary packages
  * kwin-style-bespin no longer needs to replace kwin4-style-bespin as it is
    a transitional package in all series that we support for upgrades
  * Port packaging to dh short rules:
    - Use dh short rules with kde addon in debian/rules
    - Remove cdbs build-dep
    - Bump compat to 7
    - Bump pkg-kde-tools build-depend version to (>= 0.5.0)
    - Update .install files for new path

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 08 Dec 2009 19:45:56 -0500

kde-style-bespin (0.1~svn091003-0ubuntu1) lucid; urgency=low

  * New upstream snapshot
  * Drop now-unnecessary kde4-* transitional packages

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 03 Nov 2009 21:02:12 -0500

kde-style-bespin (0.1~svn090802-0ubuntu3) karmic; urgency=low

  * Remove now-unecessary plasmoid-xbar transitional package
  * Bump Standards-Version to 3.8.3, no changes necessary
  * Update Maintainer field to Ubuntu Developers

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 13 Oct 2009 12:39:26 -0400

kde-style-bespin (0.1~svn090802-0ubuntu2) karmic; urgency=low

  * Add forgotten replaces on the old kde4- package, stupid me (LP: #409647)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 06 Aug 2009 00:08:42 -0400

kde-style-bespin (0.1~svn090802-0ubuntu1) karmic; urgency=low

  * New upstream svn snapshot
  * Transition source package to kde-style-bespin:
    - Transition kde4-style-bespin binary package to kde-style-bespin
    - Transition kwin4-style-bespin binary package to kwin-style-bespin
  * Make plasmoid-xbar binary package depend on ${misc:Depends}
  * Transition to kde.mk from pkg-kde-tools:
    - Bump compat to 7
    - Bump debhelper build-depend version to 7
    - Add build-depend on pkg-kde-tools
    - Use kde.mk from pkg-kde-tools rather than kde4.mk from cdbs
    - Include debhelper.mk, kde.mk needs it
    - Update .install file paths
  * Bump Standards-Version to 3.8.2, no changes required

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 02 Aug 2009 12:41:19 -0400

kde4-style-bespin (0.1~svn090217-0ubuntu2) jaunty; urgency=low

  * Rebuilt for new KDE docs path

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 24 Feb 2009 20:03:01 +0100

kde4-style-bespin (0.1~svn090217-0ubuntu1) jaunty; urgency=low

  * New upstream snapshot
  * debian/control:
    - renamed binary package plasmoid-xbar to plasma-widget-xbar, kept a dummy
      plasmoid-xbar for upgrades
    - kwin4-style-bespin and plasma-widget-xbar now recommend kde4-style-bespin,
      kde4-style-bespin now recommends kwin4-style-bespin and suggests
      plasma-widget-xbar
    - removed quilt build-dep
    - fix debhelper-but-no-misc-depends
  * debian/rules:
    - removed now unnecessary THIS_SHOULD_GO_TO_UNSTABLE := 1
    - simplified get-orig-svn target: use svn export instead of svn co and rm
  * debian/patches/cmake-find-plasma.patch:
    - removed, fixed upstream
  * removed debian/patches
  * renamed debian/manpages to debian/kde4-style-bespin.manpages
  * updated debian/bespin.1
  * debian/copyright:
    - fixed copyright-with-old-dh-make-debian-copyright

 -- Guillaume Martres <smarter@ubuntu.com>  Tue, 10 Feb 2009 20:03:55 +0100

kde4-style-bespin (0.1~svn081218-0ubuntu3) jaunty; urgency=low

  * Rebuild again as amd64 got missed in the last one

 -- Scott Kitterman <scott@kitterman.com>  Sat, 17 Jan 2009 21:30:42 -0500

kde4-style-bespin (0.1~svn081218-0ubuntu2) jaunty; urgency=low

  * Patch CMakeLists.txt to work with annoyingly late in the release cycle
    build system changes
  * Rebuild for abi change

 -- Scott Kitterman <scott@kitterman.com>  Tue, 13 Jan 2009 16:33:03 -0500

kde4-style-bespin (0.1~svn081218-0ubuntu1) jaunty; urgency=low

  * New upstream snapshot
  * debian/patches/kubuntu_01_fix_configure_button_systemsettings.diff:
    - dropped, applied upstream
  * debian/patches/series:
    - removed reference to kubuntu_01_fix_configure_button_systemsettings.diff
  * debian/control:
    - added binary package kwin4-style-bespin
    - modified Vcs-Bzr to use lp: shortcut
   * added debian/kwin4-style-bespin.install
   * debian/kde4-style-bespin.install:
     - don't install kwin decoration files
     - updated

 -- Guillaume Martres <smarter@ubuntu.com>  Thu, 18 Dec 2008 18:11:42 +0100

kde4-style-bespin (0.1~svn080826-0ubuntu3) intrepid; urgency=low

  * debian/kde4-style-bespin.install:
    - added /usr/bin/bespin
  * added kubuntu_01_fix_configure_button_systemsettings.diff (LP: #269598)

 -- Guillaume Martres <smarter@ubuntu.com>  Sat, 13 Sep 2008 12:06:01 +0200

kde4-style-bespin (0.1~svn080826-0ubuntu2) intrepid; urgency=low

  * debian/control:
    - added build-dep on quilt, fix FTBFS

 -- Guillaume Martres <smarter@ubuntu.com>  Wed, 27 Aug 2008 00:28:22 +0200

kde4-style-bespin (0.1~svn080826-0ubuntu1) intrepid; urgency=low

  * New upstream snapshot
  * Removed debian/cdbs/kde.mk
  * debian/rules:
    - use kde4.mk
  * debian/control:
    - ensure cdbs version is (>= 0.4.52ubuntu2) for kde4.mk
    - added binary package plasmoid-xbar
    - updated Vcs fields location
  * Added debian/kde4-style-bespin.install and debian/plasmoid-xbar.install



=== debian/control ===
Source: kde-style-bespin
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Guillaume Martres <smarter@ubuntu.com>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), kdebase-workspace-dev,
 libxrender-dev, libxext-dev
Standards-Version: 3.8.3
Homepage: http://cloudcity.sf.net/
Vcs-Bzr: lp:~kubuntu-members/bespin/ubuntu
Vcs-Browser: http://codebrowse.launchpad.net/~kubuntu-members/bespin/ubuntu

Package: kde-style-bespin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kwin-style-bespin
Suggests: plasma-widget-xbar
Replaces: kde4-style-bespin
Description: A very glossy Qt4 widget style
 Bespin is a widget style for Qt4, the name is nothing about quantum mechanics,
 but just refers to Cloud City (StarWars Episode V: The Empire Strikes Back)

Package: kwin-style-bespin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kde-style-bespin
Description: A very glossy KDE4 window decoration
 Bespin is a window decoration for KDE4, the name is nothing about quantum mechanics,
 but just refers to Cloud City (StarWars Episode V: The Empire Strikes Back)

Package: plasma-widget-xbar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kde-style-bespin
Description: Topscreen menubar and simple taskbar Plasma widget
 A plasma widget providing a topscreen menubar and a taskbar similar to Mac OS X.
 It works better if the KDE4 Bespin widget style is in use.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with kde $@

DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} | awk '{print $$1}' | xargs dirname )
DATE := $(shell date +%y%m%d)
VERSION := 0.1
DIR := ${DEB_SOURCE_PACKAGE}-${VERSION}~svn${DATE}
TAR := ${DEB_SOURCE_PACKAGE}_${VERSION}~svn${DATE}.orig.tar.gz

get-orig-source:
	cd ${DEBIAN_DIR}/.. && \
	svn export https://cloudcity.svn.sourceforge.net/svnroot/cloudcity ${DIR} && \
	tar czf ${CURDIR}/${TAR} ${DIR} && \
	rm -r ${DIR}
